#!/bin/bash
APP="`which $0`"
if [ $JAVA_HOME ] ; then
	JAVA=${JAVA:-${JAVA_HOME}/bin/java}
else
	JAVA=${JAVA:-java}
fi
MACOSDIR="`dirname \"$APP\"`"
JAVA_VERSION=`"$JAVA" -jar $MACOSDIR/JavaVersion.jar`
echo $JAVA_VERSION

if [[ $JAVA_VERSION == 1.5* ]] ; then
    APPHOME="`dirname \"$APP\"`/MacJavaPreferences/dist"
    LIBDIR="${APPHOME}/lib"
    export CLASSPATH="`find \"$LIBDIR\" -name '*.jar' -print | tr '\n' :`${LIBDIR}"
    case "`uname`" in
	CYGWIN*) export CLASSPATH="`cygpath -wp $CLASSPATH`"
    esac
    "$JAVA" -jar $APPHOME/MacJavaPreferences.jar
else
    APPHOME="`dirname \"$APP\"`/Gateway/dist"
    LIBDIR="${APPHOME}/lib"
    export CLASSPATH="`find \"$LIBDIR\" -name '*.jar' -print | tr '\n' :`${LIBDIR}"
    case "`uname`" in
	CYGWIN*) export CLASSPATH="`cygpath -wp $CLASSPATH`"
    esac
    cd $APPHOME
    cd ..
    "$JAVA" -jar dist/gatewayE.jar
fi    